import { UserInfosState } from 'fmdeui-fmui/es/types';
import { StoreDefinition, PiniaCustomStateProperties } from 'pinia';
/**
 * 用户信息
 * @methods setUserInfos 设置用户信息
 */
export declare const useUserInfo: StoreDefinition<"userInfo", UserInfosState<any>, {
    getUserInfos: (state: {
        userInfos: {
            [x: string]: any;
            authApiList: string[];
            photo: string;
            roles: string[];
            time: number;
            userName: string;
        };
        constList: any[];
        dictList: any;
        userTableList: any[];
    } & PiniaCustomStateProperties<UserInfosState<any>>) => {
        [x: string]: any;
        authApiList: string[];
        photo: string;
        roles: string[];
        time: number;
        userName: string;
    };
    getCmpId: (state: {
        userInfos: {
            [x: string]: any;
            authApiList: string[];
            photo: string;
            roles: string[];
            time: number;
            userName: string;
        };
        constList: any[];
        dictList: any;
        userTableList: any[];
    } & PiniaCustomStateProperties<UserInfosState<any>>) => number;
    getTenantId: (state: {
        userInfos: {
            [x: string]: any;
            authApiList: string[];
            photo: string;
            roles: string[];
            time: number;
            userName: string;
        };
        constList: any[];
        dictList: any;
        userTableList: any[];
    } & PiniaCustomStateProperties<UserInfosState<any>>) => number;
}, {
    setUserInfos(): Promise<void>;
    setConstList(): Promise<void>;
    setDictList(): Promise<void>;
    setUserTables(): Promise<void>;
    getApiUserInfo(): Promise<unknown>;
    getUserTableList(): Promise<unknown>;
    getSysConstList(): Promise<unknown>;
    getConstDataByTypeCode(typeCode: string): any;
    getConstItemNameByType(typeCode: string, itemCode: string): any;
    codeToName(code: any, type: any): any;
    getDictDataByCode(dictTypeCode: string): any;
    getDictItemByValue(dictTypeCode: string, value: string): any;
    getDictItemByLabel(dictTypeCode: string, label: string): any;
}>;
